Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 512288 (CVE-2014-0237) - <dev-lang/php-{5.4.29,5.5.13}: Multiple vulnerabilities (CVE-2014-{0237,0238})
Summary: <dev-lang/php-{5.4.29,5.5.13}: Multiple vulnerabilities (CVE-2014-{0237,0238})
Status: RESOLVED FIXED
Alias: CVE-2014-0237
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Security
URL: https://secunia.com/advisories/58804/
Whiteboard: A3 [glsa]
Keywords:
Depends on:
Blocks:
 
Reported: 2014-06-03 13:35 UTC by Agostino Sarubbo
Modified: 2014-08-31 11:27 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2014-06-03 13:35:59 UTC
From ${URL} :

Description

Two vulnerabilities have been reported in PHP, which can be exploited by malicious people to cause a DoS 
(Denial of Service).

1) An error within the "unpack_summary_info()" function (src/cdf.c) can be exploited to cause excessive 
CPU resources consumption via a specially crafted CDF file.

2) An error within the "cdf_read_property_info()" function (src/cdf.c) can be exploited to cause an 
infinite loop via a specially crafted CDF file with a property entry with 0 elements.

The vulnerabilities are reported in versions prior to 5.4.29 and 5.5.13.


Solution:
Update to version 5.4.29 or 5.5.13.

Provided and/or discovered by:
Reported by the vendor.

Original Advisory:
http://www.php.net/ChangeLog-5.php#5.4.29
http://www.php.net/ChangeLog-5.php#5.5.13


@maintainer(s): since the fixed package is already in the tree, please let us know if it is ready for the stabilization or not.
Comment 1 Ole Markus With (RETIRED) gentoo-dev 2014-06-27 10:42:15 UTC
Yep. They can be stabilised
Comment 2 Kristian Fiskerstrand gentoo-dev Security 2014-06-29 16:18:18 UTC
Stabilization happening in bug 512492
Comment 3 GLSAMaker/CVETool Bot gentoo-dev 2014-06-29 16:47:11 UTC
CVE-2014-0238 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2014-0238):
  The cdf_read_property_info function in cdf.c in the Fileinfo component in
  PHP before 5.4.29 and 5.5.x before 5.5.13 allows remote attackers to cause a
  denial of service (infinite loop or out-of-bounds memory access) via a
  vector that (1) has zero length or (2) is too long.

CVE-2014-0237 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2014-0237):
  The cdf_unpack_summary_info function in cdf.c in the Fileinfo component in
  PHP before 5.4.29 and 5.5.x before 5.5.13 allows remote attackers to cause a
  denial of service (performance degradation) by triggering many file_printf
  calls.
Comment 4 Yury German Gentoo Infrastructure gentoo-dev Security 2014-07-06 19:50:55 UTC
Arches, Thank you for your work
Maintainer(s), please drop the vulnerable version(s).

Added to existing GLSA Request
Comment 5 Yury German Gentoo Infrastructure gentoo-dev Security 2014-08-25 20:53:21 UTC
Maintainer(s), Thank you for cleanup!
Comment 6 GLSAMaker/CVETool Bot gentoo-dev 2014-08-31 11:27:49 UTC
This issue was resolved and addressed in
 GLSA 201408-11 at http://security.gentoo.org/glsa/glsa-201408-11.xml
by GLSA coordinator Kristian Fiskerstrand (K_F).